import { model, Schema } from "mongoose";

export interface IMetaData {
    projectId: string,
    type: string,
    name: string,
    description?: string,
    defaultValue?: string,
    public: boolean
}

const MetaDataSchema = new Schema<IMetaData>({
    projectId: {
        type: String,
        required: true
    },
    type: {
        type: String,
        required: true
    },
    name: {
        type: String,
        required: true
    },
    description: String,
    defaultValue: String,
    public: {
        type: Boolean,
        default: false
    }
});

export const MetaData = model<IMetaData>("MetaData", MetaDataSchema);